JConsoleContext.ConnectionState (Java SE 11 & JDK 11 )
Keywords: com.sun.tools.jconsole.JConsoleContext.ConnectionState class

Module jdk.jconsole
Package com.sun.tools.jconsole

## Enum JConsoleContext.ConnectionState

- java.lang.Object
- - java.lang.Enum<JConsoleContext.ConnectionState>
  - - com.sun.tools.jconsole.JConsoleContext.ConnectionState

- All Implemented Interfaces:
    `Serializable`, `Comparable<JConsoleContext.ConnectionState>`
  Enclosing interface:
    JConsoleContext

      public static enum JConsoleContext.ConnectionState
      extends Enum<JConsoleContext.ConnectionState>

  Values for the ConnectionState bound property.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONNECTED` | The connection has been successfully established.
    `CONNECTING` | The connection is being attempted.
    `DISCONNECTED` | No connection present.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JConsoleContext.ConnectionState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JConsoleContext.ConnectionState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTED

          public static final JConsoleContext.ConnectionState CONNECTED

      The connection has been successfully established.

    - #### DISCONNECTED

          public static final JConsoleContext.ConnectionState DISCONNECTED

      No connection present.

    - #### CONNECTING

          public static final JConsoleContext.ConnectionState CONNECTING

      The connection is being attempted.

  - ### Method Detail

    - #### values

          public static JConsoleContext.ConnectionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JConsoleContext.ConnectionState c : JConsoleContext.ConnectionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JConsoleContext.ConnectionState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null